Get Connect log entry
Retrieves the specified Connect log entry for your account.
To use this method, you must be an account administrator and Connect must be enabled on your account.
The enableLog setting in the Connect configuration must be set to true to enable logging.
If logging is not enabled, then no log entries are recorded.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Query parameters
When true, the response includes the connectDebugLog information.
Response
A complex element containing information about the Connect configuration, error details, date/time, description and payload.
This information is included in the response only when the additional_info query is set to true.
This additional information is only available when retrieving general logs with ConnectEvents:get, but not when retrieving failure logs with ConnectEvents:listFailures.
The envelope status for the Connect post. Possible values are:
AnyVoidedCreatedDeletedSentDeliveredSignedCompletedDeclinedTimedOutTemplateProcessing
For details about these statuses, see Envelope Status Code Descriptions.